GUIslice library

A lightweight GUI framework suitable for embedded displays
- [Website (www.impulseadventure.com)](https://www.impulseadventure.com/elec/guislice-gui.html)
- [Documentation wiki (github)](https://github.com/ImpulseAdventure/GUIslice/wiki)
- [Release notes](https://github.com/ImpulseAdventure/GUIslice/releases)


- Pure C library, no dynamic memory allocation
- Widgets: text, images, buttons, checkboxes, radio buttons, sliders,
  radial controls, scrolling textbox / terminal, graphs, etc. plus extensions and multiple pages.
- Platform-independent GUI core currently supports: SDL1.2, SDL2.0, Adafruit-GFX, TFT_eSPI
- Typical target: Raspberry Pi, Arduino, ESP8266 / NodeMCU, Cortex M0 (Feather M0), LINUX, Beaglebone Black
- Typical displays: PiTFT, Waveshare, Adafruit TFT 3.5" / 2.8" / 2.4" / 2.2" / 1.44", OLED 0.96", 4D Cape
- Display drivers include: ILI9341, ST7735, SSD1306, HX8357
- Touchscreen control including: STMPE610, FT6206, XPT2046, tslib
- No GUIslice installation -- just add include files and go!
- LINUX Dependencies: sdl, sdl-ttf, optional: tslib
- Arduino Dependencies: TFT_eSPI or Adafruit-GFX plus display / touch driver libraries



Screenshots

![Example 1](http://www.impulseadventure.com/elec/images/sdl_menu1.png)
![Example 2](http://www.impulseadventure.com/elec/images/microsdl-ex07.png)
![Example 3](http://www.impulseadventure.com/elec/images/guislice-ex06.png)
![Example 4](http://www.impulseadventure.com/elec/images/guislice-ex08.png)

![Example 5](http://www.impulseadventure.com/elec/images/guislice-ctrl2.png)
